
<VirtualHost *:443>
  ServerName  portal.guayfi.es
  ServerAlias portal.guayfi.es


  DocumentRoot /var/www/html/guayfi/
  ErrorLog ${APACHE_LOG_DIR}/portal.guayfi.es-error.log
  CustomLog ${APACHE_LOG_DIR}/portal.guayfi.es-access.log combined


  <Directory "/var/www/html/guayfi/private/">
        AuthType Basic
        AuthName "Restricted Content"
        AuthUserFile /var/www/html/guayfi/private/.htpasswd
        Require valid-user
        AllowOverride All
    </Directory>

  SSLEngine On

  # Other Apache Configuration

 
  Include /etc/letsencrypt/options-ssl-apache.conf

ServerAlias portal.guayfi.es

SSLCertificateFile /etc/letsencrypt/live/portal.guayfi.es/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/portal.guayfi.es/privkey.pem
</VirtualHost>
